# do not edit -- automatically generated by arch changelog
# arch-tag: was-automatic-ChangeLog--lord@regexps.com--2002/package-framework--devo--1.0
#

2002-05-18 GMT	Tom Lord <lord@regexps.com>	patch-15

    Summary:
      merge with `lord'
    Revision:
      package-framework--devo--1.0--patch-15

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-37
         updated =NEWS
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-36
         =Labnotes -> Labnotes
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-35
         don't use pax
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-34
         tagged =LabNotes
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-33
         linux unexec work
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-32
         linux unexec tweaks
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-31
         build precrt0.o with debugging
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-30
         additional unexec ld switches for gnu-linux
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-29
         tweaking unexec support / first-cut GNU/linux unexec support /
         	 better output formatting from configure-top
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-28
         `package-framework' extensions and clean-ups.
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-27
         new directory `labnotes'
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-26
         build-tools cleanups/additions + symbolic link scripts
    

    new files:
     =fix-library.sh
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-26
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-27
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-28
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-29
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-30
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-31
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-32
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-33
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-34
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-35
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-36
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-37
     .arch-ids/=NEWS.package-framework.id Labnotes/.arch-ids/=id
     build-tools/platforms/sysconfig links/make-links
     links/remove-links build-tools/Makefiles/unexec-programs.mk
     build-tools/gnu/ChangeLog build-tools/gnu/config.guess
     build-tools/gnu/config.sub build-tools/platforms/=README
     build-tools/platforms/vars build-tools/auto-conf-lib/gcc-test
     build-tools/Makefiles/install-shell-cgi-scripts.mk
     build-tools/platforms/configs/gnu-linux
     build-tools/Makefiles/install-library-objects.mk
     build-tools/Makefiles/install-scm-cgi-scripts.mk
     build-tools/platforms/pickconfig
     build-tools/platforms/configs/freebsd
     build-tools/auto-conf-lib/library-test =NEWS.package-framework

    removed files:
     build-tools/auto-conf-lib/library-test

    modified files:
     =TODO ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/auto build-tools/=README
     build-tools/Makefiles/install-scm-scripts.mk
     build-tools/Makefiles/install-scm-subdirs.mk
     build-tools/Makefiles/rules.mk
     build-tools/Makefiles/scm-scripts.mk
     build-tools/scripts/configure-top configure

    new directories:
     build-tools/gnu build-tools/platforms
     build-tools/platforms/configs build-tools/platforms/helpers
     links Labnotes/.arch-ids Labnotes

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-26
     lord@regexps.com--2002/package-framework--lord--1.0--patch-27
     lord@regexps.com--2002/package-framework--lord--1.0--patch-28
     lord@regexps.com--2002/package-framework--lord--1.0--patch-29
     lord@regexps.com--2002/package-framework--lord--1.0--patch-30
     lord@regexps.com--2002/package-framework--lord--1.0--patch-31
     lord@regexps.com--2002/package-framework--lord--1.0--patch-32
     lord@regexps.com--2002/package-framework--lord--1.0--patch-33
     lord@regexps.com--2002/package-framework--lord--1.0--patch-34
     lord@regexps.com--2002/package-framework--lord--1.0--patch-35
     lord@regexps.com--2002/package-framework--lord--1.0--patch-36
     lord@regexps.com--2002/package-framework--lord--1.0--patch-37


2002-03-22 GMT	Tom Lord <lord@regexps.com>	patch-14

    Summary:
      merge from `lord'
    Revision:
      package-framework--devo--1.0--patch-14

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-25
         removed arch-utils
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-24
         make the config-info bug address a configuration parameter
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-23
         merge with `devo'
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-23
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-24
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-25
     build-tools/standards/PLUGIN/.arch-ids/REQ.id
     build-tools/standards/intro.doc
     build-tools/standards/index.doc
     build-tools/standards/standards.doc
     build-tools/standards/Makefile.in
     build-tools/standards/document-license.doc
     build-tools/standards/PLUGIN/REQ

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/=TODO
     build-tools/config-info/config-info.c

    new directories:
     build-tools/standards build-tools/standards/PLUGIN
     build-tools/standards/PLUGIN/.arch-ids

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-23
     lord@regexps.com--2002/package-framework--lord--1.0--patch-24
     lord@regexps.com--2002/package-framework--lord--1.0--patch-25


2002-03-04 GMT	Tom Lord <lord@regexps.com>	patch-13

    Summary:
      `configure' bug-fix for the value of CC
    Revision:
      package-framework--devo--1.0--patch-13

    
    Support a string option `cc' which determines the C compiler used for
    auto-conf tests and in Makefiles.  See =TODO for information about why
    this is a temporary fix for a larger problem.
    

    modified files:
     =TODO ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/Makefiles/rules.mk
     build-tools/auto-conf-lib/library-test
     build-tools/scripts/configure-dirs
     build-tools/scripts/configure-leaf
     build-tools/scripts/configure-top


2002-02-27 GMT	Tom Lord <lord@regexps.com>	patch-12

    Summary:
      merge with `lord'
    Revision:
      package-framework--devo--1.0--patch-12

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-22
         arch -> larch in configure process
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-22
     build-tools/auto-conf-lib/library-test

    removed files:
     build-tools/auto-conf-lib/library-test

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-22


2002-02-20 GMT	Tom Lord <lord@regexps.com>	patch-11

    Summary:
      merge from `lord'
    Revision:
      package-framework--devo--1.0--patch-11

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-21
         automatic configuration support (specifically for -lsocket)
    

    new files:
     build-tools/auto-conf-lib/library-test
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-21
     build-tools/scripts/auto PLUGIN/auto

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/packages build-tools/scripts/configure-top

    new directories:
     build-tools/auto-conf-lib

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-21


2002-02-14	Tom Lord <lord@regexps.com>	patch-10

    Summary:
      merge from `lord'
    Revision:
      package-framework--devo--1.0--patch-10

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-20
         permit alternative shells in `configure'
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-19
         updated =TODO
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-19
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-20

    modified files:
     =THANKS =TODO ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/scripts/configure-autoconf
     build-tools/scripts/configure-dirs
     build-tools/scripts/configure-generic
     build-tools/scripts/configure-leaf
     build-tools/scripts/configure-top configure

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-19
     lord@regexps.com--2002/package-framework--lord--1.0--patch-20


2002-02-07	Tom Lord <lord@regexps.com>	patch-9

    Summary:
      merge from lord
    Revision:
      package-framework--devo--1.0--patch-9

    
    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-18
         watch out for GCC 3.1 when making .d files
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-17
         avoid trying to build empty libraries
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-16
         don't use -e in the configure scripts
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-15
         fixed `--prefix=' handling in `configure-top'
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-14
         merge from devo
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-14
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-15
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-16
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-17
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-18

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/cpp-to-includes.sed
     build-tools/Makefiles/library.mk
     build-tools/scripts/configure-dirs
     build-tools/scripts/configure-generic
     build-tools/scripts/configure-top

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-14
     lord@regexps.com--2002/package-framework--lord--1.0--patch-15
     lord@regexps.com--2002/package-framework--lord--1.0--patch-16
     lord@regexps.com--2002/package-framework--lord--1.0--patch-17
     lord@regexps.com--2002/package-framework--lord--1.0--patch-18


2002-02-04	Tom Lord <lord@regexps.com>	patch-8

    Summary:
      updated =THANKS
    Revision:
      package-framework--devo--1.0--patch-8

    Updated "=THANKS".
    

    modified files:
     =THANKS ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0


2002-02-04	Tom Lord <lord@regexps.com>	patch-7

    Summary:
      fixed `configure-top' bugs
    Revision:
      package-framework--devo--1.0--patch-7

    
    Minor bugs in `configure-top' when processing options of the form
    `--with-foo'.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/scripts/configure-top


2002-02-04	Tom Lord <lord@regexps.com>	patch-6

    Summary:
      portability tweaks
    Revision:
      package-framework--devo--1.0--patch-6

    
    Put `-' before options to `ar' in `library.mk'.
    
    Use `sed', rather than perfectly good Posix `sh' features,
    because some reports indicate that solaris `sh' doesn't 
    have those features.  Shocking and appalling, if true.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/library.mk
     build-tools/scripts/configure-top build-tools/scripts/option


2002-01-24	Tom Lord <lord@regexps.com>	patch-5

    Summary:
      merge from lord
    Revision:
      package-framework--devo--1.0--patch-5

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-13
         fixed some typose in *.mk
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-12
         new config option: sendmail
         	awk subcommand helpers
         	bug fixes
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-11
         makefile and configure changes
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-10
         add a "--with posix-shell=xyzzy" configuration option
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-9
         changed the rule for dependency tracking (eliminated GCC-ism)
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-10
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-11
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-12
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-13
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-9
     build-tools/Makefiles/=TODO =THANKS =TODO
     build-tools/Makefiles/cpp-to-includes.sed

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     PLUGIN/options build-tools/Makefiles/column.sed
     build-tools/Makefiles/config-info.mk
     build-tools/Makefiles/dirs.mk
     build-tools/Makefiles/install-includes.mk
     build-tools/Makefiles/install-library.mk
     build-tools/Makefiles/install-programs.mk
     build-tools/Makefiles/install-shell-scripts.mk
     build-tools/Makefiles/install-shell-subcommands.mk
     build-tools/Makefiles/library-objects.mk
     build-tools/Makefiles/library-pdml.mk
     build-tools/Makefiles/library.mk
     build-tools/Makefiles/programs.mk
     build-tools/Makefiles/rules.mk
     build-tools/Makefiles/shell-scripts.mk
     build-tools/Makefiles/shell-subcommands.mk
     build-tools/Makefiles/top-level.mk
     build-tools/Makefiles/unit-tests.mk
     build-tools/scripts/configure-top

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-10
     lord@regexps.com--2002/package-framework--lord--1.0--patch-11
     lord@regexps.com--2002/package-framework--lord--1.0--patch-12
     lord@regexps.com--2002/package-framework--lord--1.0--patch-13
     lord@regexps.com--2002/package-framework--lord--1.0--patch-9


2002-01-18	Tom Lord <lord@regexps.com>	patch-4

    Summary:
      merge from `lord'
    Revision:
      package-framework--devo--1.0--patch-4

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-8
         bash bug work-around in `unit-tests.mk'
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-7
         merge from `devo'
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-6
         merge from devo
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-6
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-7
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-8

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/Makefiles/unit-tests.mk

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-6
     lord@regexps.com--2002/package-framework--lord--1.0--patch-7
     lord@regexps.com--2002/package-framework--lord--1.0--patch-8


2002-01-14	Tom Lord <lord@regexps.com>	patch-3

    Summary:
      minor bug fixes
    Revision:
      package-framework--devo--1.0--patch-3

    `configure-top': print an error message and exit for unrecognized options.
    
    `config-info.c': fixed a syntax-error-causing typo.
    

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/config-info/config-info.c
     build-tools/scripts/configure-top


2002-01-14	Tom Lord <lord@regexps.com>	patch-2

    Summary:
      merge from `lord': --version support
    Revision:
      package-framework--devo--1.0--patch-2

    Patches applied:
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-5
         fixed --version support in config-info.c
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-4
         =project/package fixes
    
      * lord@regexps.com--2002/package-framework--lord--1.0--patch-3
         removed vestigial docs
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-3
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-4
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-5
     =project/.arch-ids/package.id COPYING build-tools/=README
     build-tools/=TODO =project/package

    removed files:
     build-tools/package-framework/UNPLUGGED/.arch-ids/=dont-care
     build-tools/package-framework/Makefile.in
     build-tools/package-framework/document-license.doc
     build-tools/package-framework/pit.doc
     build-tools/package-framework/source-tree.doc
     build-tools/package-framework/system-requirements.doc
     build-tools/package-framework/framework.doc
     build-tools/package-framework/getting-started.doc
     build-tools/package-framework/index.doc
     build-tools/package-framework/introduction.doc
     build-tools/package-framework/soup.doc
     build-tools/package-framework/source-license.doc
     build-tools/package-framework/package-tree.doc
     build-tools/package-framework/recipes.doc
     build-tools/package-framework/reference.doc
     build-tools/package-framework/this-manual.doc
     build-tools/package-framework/configure-and-plugin.doc
     build-tools/package-framework/makefiles.doc =project/package
     build-tools/package-framework/UNPLUGGED/REQ

    modified files:
     ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
     build-tools/config-info/config-info.c
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/base-0

    new directories:
     =project/.arch-ids

    removed directories:
     build-tools/package-framework
     build-tools/package-framework/UNPLUGGED
     build-tools/package-framework/UNPLUGGED/.arch-ids

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--patch-3
     lord@regexps.com--2002/package-framework--lord--1.0--patch-4
     lord@regexps.com--2002/package-framework--lord--1.0--patch-5


2002-01-07	Tom Lord <lord@regexps.com>	patch-1

    Summary:
      merge with `lord' branch
    Revision:
      package-framework--devo--1.0--patch-1

    For details, see:
    
    	ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0
    
    
    Patches applied from branch:
    
      base-0
        tag of lord@regexps.com--2002/package-framework--devo--1.0--base-0
    
      patch-1
        modified ChangeLog structure
    
      patch-2
        ChangeLog's reorganized
    

    new files:
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/base-0
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-1
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log/patch-2
     ChangeLog.d/lord@regexps.com--2001Q4/ChangeLog.devo--1.0
     ChangeLog.d/=README ChangeLog.d/ChangeLog
     ChangeLog.d/lord@regexps.com--2002/ChangeLog.lord--1.0

    removed files:
     ChangeLog

    new directories:
     ChangeLog.d ChangeLog.d/lord@regexps.com--2001Q4
     ChangeLog.d/lord@regexps.com--2002
     {arch}/package-framework/package-framework--lord
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002
     {arch}/package-framework/package-framework--lord/package-framework--lord--1.0/lord@regexps.com--2002/patch-log

    new patches:
     lord@regexps.com--2002/package-framework--lord--1.0--base-0
     lord@regexps.com--2002/package-framework--lord--1.0--patch-1
     lord@regexps.com--2002/package-framework--lord--1.0--patch-2


2002-01-11	Tom Lord <lord@regexps.com>	base-0

    Summary:
      tag of lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-3
    Revision:
      package-framework--devo--1.0--base-0

    (automatically generated log message)
    

    new patches:
     lord@regexps.com--2001Q4/package-framework--devo--1.0--base-0
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-1
     lord@regexps.com--public-2001Q4/package-framework--devo--1.0--base-0
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-2
     lord@regexps.com--2001Q4/package-framework--devo--1.0--patch-3


